%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif
%global srcname distribute

Name:           PyXB
Version:        1.2.4
Release:        2%{?dist}
Summary:        Python XML Schema Bindings
License:        Apache
URL:            http://pyxb.sourceforge.net/
Source0:        https://github.com/pabigot/pyxb/archive/%{name}-%{version}.tar.gz
Patch0:         0001-unbundle-six.patch

BuildArch:      noarch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-six
Requires:       python-six
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-six
%endif # if with_python3

%description
PyXB (“pixbee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package doc
Summary:        PyXB documentation

%description doc
This package contains documentation and examples for PyXB.

%if 0%{?with_python3}
%package -n python3-PyXB
Summary:        Python XML Schema Bindings
Requires:       python3-six

%description -n python3-PyXB
PyXB (“pixbee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n python3-PyXB-doc
Summary:        PyXB documentation

%description -n python3-PyXB-doc
This package contains documentation and examples for PyXB.
%endif # with_python3


%prep
%setup -q -n pyxb-%{name}-%{version}

%patch0 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python3_sitelib}/pyxb/tests
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python2_sitelib}/pyxb/tests

%check
%{__python2} setup.py test

# some tests fail with python3, upstream knows about it
#%%if 0%{?with_python3}
#pushd %{py3dir}
#%%{__python3} setup.py test
#popd
#%%endif # with_python3

%clean
rm -rf %{buildroot}
 
%files
%doc LICENSE NOTICE
%{python2_sitelib}/*
%{_bindir}/pyxbdump
%{_bindir}/pyxbgen
%{_bindir}/pyxbwsdl

%files doc
%doc doc/* LICENSE NOTICE README.txt examples/*

%if 0%{?with_python3}
%files -n python3-PyXB
%doc LICENSE NOTICE
%{python3_sitelib}/*

%files -n python3-PyXB-doc
%doc doc/* LICENSE NOTICE README.txt examples/*
%endif # with_python3


%changelog
* Tue Jan 20 2015 Michal Srb <msrb@redhat.com> - 1.2.4-2
- Unbundle python-six

* Mon Oct 20 2014 Michal Srb <msrb@redhat.com> - 1.2.4-1
- Update to official upstream version 1.2.4

* Mon Sep 22 2014 Michal Srb <msrb@redhat.com> - 1.2.4-0.2.gitc494ba3
- Move documentation and examples to subpackage (Resolves: rhbz#1144488)

* Thu Jul 17 2014 Michal Srb <msrb@redhat.com> - 1.2.4-0.1
- Update to prerelease version 1.2.4
- Add python3 subpackage

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.3-1
- Update to upstream version 1.2.3
- Resolves: rhbz#1086133

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 16 2011 Marek Mahut <mmahut@fedoraproject.org> - 1.1.2-1
- Initial build
